Skip to content
Permalink
Browse files

Build PHPNG-Mapscript on systems with correct CMake and SWIG Version

  • Loading branch information...
AlexanderGabriel committed Oct 5, 2018
1 parent 8e4b0f0 commit 1f50e610032f9b4347411c87a9772bfc545d21da
Showing with 11 additions and 1 deletion.
  1. +11 −1 mapscript/phpng/CMakeLists.txt
@@ -1,5 +1,15 @@
FIND_PACKAGE(PHP7 REQUIRED)
if(WIN32 AND (${CMAKE_VERSION} EQUAL "3.12.0") OR (${CMAKE_VERSION} EQUAL "3.12.1") OR (${CMAKE_VERSION} EQUAL "3.12.2") OR (${CMAKE_VERSION} EQUAL "3.12.3"))
message(FATAL_ERROR "Building with CMAKE ${CMAKE_VERSION} will not work. Please downgrade to 3.11.x or update to a higher version than 3.12.3")
endif()

if(WIN32)
FIND_PACKAGE(SWIG 3.0.11 REQUIRED)
if(WITH_THREAD_SAFETY)
FIND_PACKAGE(SWIG 4.0.0 REQUIRED)
else(WITH_THREAD_SAFETY)
endif(WIN32)

FIND_PACKAGE(PHP7 REQUIRED)
INCLUDE(${SWIG_USE_FILE})

if(WIN32)

0 comments on commit 1f50e61

Please sign in to comment.
You can’t perform that action at this time.